Actualizar Producto
curl --request PUT \
--url https://api.zenflow.com.ar/api/v1/products/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"category": "<string>",
"description": "<string>",
"price": 123,
"weight": 123,
"photo_url": "<string>"
}
'import requests
url = "https://api.zenflow.com.ar/api/v1/products/{id}"
payload = {
"name": "<string>",
"category": "<string>",
"description": "<string>",
"price": 123,
"weight": 123,
"photo_url": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
category: '<string>',
description: '<string>',
price: 123,
weight: 123,
photo_url: '<string>'
})
};
fetch('https://api.zenflow.com.ar/api/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Productos
Actualizar Producto
Actualizar un producto existente
PUT
/
api
/
v1
/
products
/
{id}
Actualizar Producto
Actualizar Producto
Actualiza los detalles de un producto existente.Requiere scope
write:products.Solicitud
PUT /api/v1/products/{id}
Parámetros de Ruta
integer
required
El ID del producto
Parámetros del Body
Todos los campos son opcionales. Solo incluye los campos que deseas actualizar.string
Nombre del producto
string
Categoría del producto
string
Descripción del producto
number
Precio unitario
number
Peso en kg
string
URL de la imagen del producto
Ejemplo
curl -X PUT "https://api.zenflow.com.ar/api/v1/products/100" \
-H "X-API-Key: zenflow_live_your_key" \
-H "Content-Type: application/json" \
-d '{
"price": 34.99,
"category": "Electrónica Premium"
}'
Respuesta
{
"success": true,
"data": {
"id": 100,
"barcode": "7891234567890",
"name": "Widget A",
"category": "Electrónica Premium",
"price": 34.99,
"updated_at": "2024-01-14T15:30:00Z"
}
}
⌘I

